. /usr/lib/eole/ihm.sh

TestFile()
{
    [ -f "$1" ] && return 0
    EchoRouge "* Erreur : fichier $1 absent"
    echo
    return 1
}
TestDir()
{
    [ -d "$1" ] && return 0
    EchoRouge "* Erreur : répertoire $1 absent"
    echo
    return 1
}

#
# @NAME : TestCreoled
# @AIM  : Tester si Creoled fonctionne
# @PARAMS : None
#
function TestCreoled()
{
    var_name='eole_version'
    if ! CreoleGet ${var_name} > /dev/null
    then
        EchoRouge "* Erreur : Creoled n'est pas actif"
        return 1
    fi
}

function wait_true_retcode()
{
# teste une commande en boucle jusqu'à ret_code=0
# ou $tries boucles
# exemple : wait_true_retcode "texte" "commande param1 param2"
    tries=120
    ret_code=1
    i=0
    echo -n $1
    until [ $ret_code -eq 0 ] || [ $i -ge $tries ]
    do
        i=`expr $i + 1`
        sleep 1
        eval $2
        ret_code=$?
        echo -n "."
    done
    echo
    if [ $i -eq $tries ]
    then
        EchoRouge "L'action '$1' n'a pas aboutie."
        exit $ret_code
    fi
}

function only_root()
{
    [ ! $(id -u) = 0 ] && echo "$0 ne peut être exécuté qu'en root" && exit 1
}
